/// <reference types="angular" />
/// <reference types="@types/angular-translate" />
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
import { DirectiveBase } from "./base.directive";
import { IFilterService, IScope, IAttributes, IController, ITranscludeFunction } from "angular";
export declare class DateTimePickerDirective extends DirectiveBase {
    private filter;
    constructor(filter: IFilterService);
    protected onInit(scope: IScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    static factory(filter: IFilterService): DateTimePickerDirective;
}
