"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var filter_1 = require("../decorators/filter");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var UppercaseFilter = /** @class */ (function () {
    function UppercaseFilter() {
    }
    UppercaseFilter.factory = function () {
        return function (value) { return paradigm_ui_web_shared_1.ObjectExtensions.isNull(value) ? null : value.toUpperCase(); };
    };
    UppercaseFilter = tslib_1.__decorate([
        filter_1.Filter({ name: "pd-uppercase" })
    ], UppercaseFilter);
    return UppercaseFilter;
}());
exports.UppercaseFilter = UppercaseFilter;
