/// <reference types="angular" />
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
import { DirectiveBase } from "./base.directive";
import { IScope, IAttributes, ITranscludeFunction, IController } from "angular";
import { Transition } from "@uirouter/angularjs";
export declare class ScrollToTopDirective extends DirectiveBase {
    private transitions;
    constructor(transitions: Transition);
    protected onInit(scope: IScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    static factory(transitions: Transition): ScrollToTopDirective;
}
export interface IScrollToTopParameters {
    onStateChange: boolean;
    onClick: boolean;
}
